#
# spec file for package mako
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mako
Version:        1.2
Release:        1.1
Summary:        A Wayland notification daemon
License:        MIT
Group:          System/GUI/Other
URL:            https://mako-project.org/
Source:         https://github.com/emersion/mako/archive/v%{version}.tar.gz
BuildRequires:  meson >= 0.43.0
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14

%description
A notification daemon for Wayland. Intended to be used with sway.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}*
%{_mandir}/man?/%{name}*

%changelog
* Wed Feb  6 2019 mvetter@suse.com
- Initial package mako 1.2 for openSUSE
